package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1SetParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1StreamParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.BERSet;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEREncodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import java.io.IOException;

public class BERSetParser implements ASN1SetParser {
  private ASN1StreamParser abstract;
  
  public DEREncodable readObject() throws IOException {
    return this.abstract.readObject();
  }
  
  public DERObject getLoadedObject() throws IOException {
    return (DERObject)new BERSet(this.abstract.final(), false);
  }
  
  BERSetParser(ASN1StreamParser aSN1StreamParser) {
    this.abstract = aSN1StreamParser;
  }
  
  public DERObject getDERObject() {
    return getLoadedObject();
  }
}
